import * as React from 'react';
import { labelID } from '../../Label';
export { labelID };
declare type Falsy = boolean | undefined | null | 0;
export declare function classNames(...classes: (string | Falsy)[]): string;
export declare function variationName(name: string, value: string): string;
export interface LabelProps {
    children?: string;
    id: string;
    hidden?: boolean;
}
export interface LabelledProps {
    id: LabelProps['id'];
    label: string;
    error?: any;
    action?: any;
    helpText?: React.ReactNode;
    children?: React.ReactNode;
    /** Visually hide the label */
    labelHidden?: boolean;
}
export declare function Labelled({ id, label, error, action, helpText, children, labelHidden, ...rest }: LabelledProps): JSX.Element;
export declare function errorID(id: string): string;
export declare function helpTextID(id: string): string;
